import React from "react";
import { PropsOf } from "../../utils/types";
declare type BreadcrumbVariantProps = {
    separator?: `arrow` | `slash`;
    size?: "L" | "M" | "S";
};
export declare type BreadcrumbProps = BreadcrumbVariantProps & Omit<JSX.IntrinsicElements["nav"], "ref">;
export declare function Breadcrumb({ children, separator, size, ...rest }: BreadcrumbProps): JSX.Element;
export declare namespace Breadcrumb {
    var Item: typeof BreadcrumbItem;
}
export declare type BreadcrumbItemProps = PropsOf<"li"> & BreadcrumbVariantProps & {
    to?: string;
    active?: boolean;
    onClick?: React.MouseEventHandler<HTMLAnchorElement>;
};
declare function BreadcrumbItem({ to, active, separator, size, onClick, children, ...rest }: BreadcrumbItemProps): JSX.Element;
declare namespace BreadcrumbItem {
    var displayName: string;
}
export {};
